<?xml version="1.0" encoding="utf-8"?>
<openerp>
	<data>	
		<record id="action_create_pemberhentian_form_view" model="ir.ui.view">
            <field name="name">pengajuan.layanan.pemberhentian.form</field>
            <field name="model">pengajuan.layanan.pemberhentian</field>
            <field name="arch" type="xml">
                <form string="Form Pengajuan Pemberhentian" version="7.0">
                    <header></header>
                    <sheet>
                   	<group>
                        <group string="Data Pengajuan">
                                <field name="employee_id" />
                                <field name="user_id" invisible="True" />
                                <field name="tanggal_pengajuan" readonly="True" />
								<field name="notes" placeholder="Silahkan isi catatan tambahan jika ada..." />
								<field name="periode_pengajuan" invisible="True"/>
						</group>
					</group>
                    <group string="Persyaratan Lain">
                                <field name="nilai_skp"  required="True"/>
                                <field name="nilai_pak"  required="True"/>
                                <field name="file_skp"  required="True" widget="selection" domain="[('partner_id','=',employee_id)]" />
                                <field name="file_pak"  required="True" widget="selection" domain="[('partner_id','=',employee_id)]"/>
                                <field name="sk_golongan_id"  required="True"  widget="selection" domain="[('partner_id','=',employee_id)]"/>
                                <field name="kepgub_jabatan_terakhir" required="True"  widget="selection" domain="[('partner_id','=',employee_id)]"/>
                                <field name="kepgub_pembebasan_sementara" required="True"  widget="selection" domain="[('partner_id','=',employee_id)]"/>
                                    
                        </group>
					<hr/>
                    </sheet>
                     <footer>
                        <button string='Buat Draft' confirm="Apakah anda yakin telah mengisi data dengan benar ?" name="action_create_pemberhentian" type="object" class="oe_highlight" />
                        <button string='Ajukan Ke OPD' confirm="Apakah anda yakin telah mengisi data dengan benar ?" context="{'state':'propose'}" 
                                name="action_create_pemberhentian" type="object" class="oe_highlight" />
                        or
                        <button string="Cancel" class="oe_link" special="cancel"/>
                    </footer>
               </form>
            </field>
        </record>
        <record model="ir.actions.act_window" id="action_pendaftaran_layanan_pemberhentian">
            <field name="name">Pemberhentian</field>
            <field name="res_model">pengajuan.layanan.pemberhentian</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="target">new</field>
            <field name="view_id" ref="action_create_pemberhentian_form_view"/>
        </record>
        

        <menuitem id="menu_pendaftaran_layanan_pemberhentian" name="Pengajuan"   action="action_pendaftaran_layanan_pemberhentian"
		parent="df_jabatan_fungsional_tertentu.menu_layanan_pemberhentian"  sequence="1" 
        groups="group_jft_admin_verifikasi"   
        />
		
	</data>
</openerp>